Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007437OCamltypingpublic2016-12-21 10:422016-12-26 08:57
Reporteravsm 
Assigned Togarrigue 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.04.0 
Target VersionFixed in Version4.05.0+dev 
Summary0007437: typing assert failure with nonrec priv
Descriptiontype t = [` Closed ];;
type nonrec t = private [> t];;

Running this through "ocaml foo.ml" on 4.04.0:

Fatal error: exception File "typing/typedecl.ml", line 454, characters 26-32: Assertion failed

No exception with "ocamlc -i":

ocamlc -i t.ml
File "t.ml", line 2, characters 12-13:
Error: Multiple definition of the type name t.
       Names must be unique in a given structure or signature
Additional InformationFound by Thomas Gazagnaire during https://github.com/mirage/mirage/pull/743 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017045)
garrigue (manager)
2016-12-26 08:57

Fixed by commit 94a1f38.
Private rows should be added to the environment, even in the nonrec case (they are needed, and they cannot be accessed from the syntax anyway).

- Issue History
Date Modified Username Field Change
2016-12-21 10:42 avsm New Issue
2016-12-21 10:47 shinwell Assigned To => garrigue
2016-12-21 10:47 shinwell Status new => assigned
2016-12-26 08:57 garrigue Note Added: 0017045
2016-12-26 08:57 garrigue Status assigned => resolved
2016-12-26 08:57 garrigue Fixed in Version => 4.05.0+dev
2016-12-26 08:57 garrigue Resolution open => fixed
2017-02-23 16:45 doligez Category OCaml typing => typing


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker